import { jsx } from "react/jsx-runtime";
import { MusicNoteIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const MusicNote = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "MusicNote", ...props, children: /* @__PURE__ */ jsx(MusicNoteIcon, { weight: variant }) });
  }
);
MusicNote.displayName = "MusicNote";
Object.assign(MusicNote, { isGdsIcon: true });
export {
  MusicNote
};
